Exemplo n.º 1
0
 public override void Bild(ModelDoc2 swModel)
 {
     swModel.ActivateSelectedFeature();
     swModel.ClearSelection2(true);
     SmartTools.SelectFromList(swModel, Sselect);
     swModel.FeatureManager.FeatureCircularPattern4(Number, Spacing, FlipDirection, DName, GeometryPattern, EqualSpacing, VaryInstance);
 }
Exemplo n.º 2
0
 public override void Bild(ModelDoc2 swModel)
 {
     base.Bild(swModel);
     swModel.ClearSelection2(true);
     if (Sselect == null || Sselect.Count == 0)
     {
         base.SelectByAll();
     }
     else
     {
         SmartTools.SelectFromList(swModel, Sselect);
     }
     swModel.FeatureManager.FeatureRevolve2(SingleDir,
                                            IsSolid,
                                            IsThin,
                                            IsCut,
                                            ReverseDir,
                                            BothDirectionUpToSameEntity,
                                            Dir1Type,
                                            Dir2Type,
                                            Dir1Angle,
                                            Dir2Angle,
                                            OffsetReverse1,
                                            OffsetReverse2,
                                            OffsetDistance1,
                                            OffsetDistance2,
                                            ThinType,
                                            ThinThickness1,
                                            ThinThickness2,
                                            Merge,
                                            UseFeatScope,
                                            UseAutoSelect);
 }
Exemplo n.º 3
0
 public override void Bild(ModelDoc2 swModel)
 {
     SmartTools.SelectFromList(swModel, Sselect);
     swModel.FeatureManager.FeatureFillet(Options, R1, Ftyp, OverflowType, Radii, SetBackDistances, PointRadiusArray);
 }
Exemplo n.º 4
0
 public override void Bild(ModelDoc2 swModel)
 {
     SmartTools.SelectFromList(swModel, Sselect);
     swModel.FeatureManager.InsertMirrorFeature(BMirrorBody, BGeometryPattern, BMerge, BKnit);
 }
Exemplo n.º 5
0
 public override void Bild(ModelDoc2 swModel)
 {
     SmartTools.SelectFromList(swModel, Sselect);
     swModel.InsertAxis2(true);
 }
Exemplo n.º 6
0
 public override void Bild(ModelDoc2 swModel)
 {
     SmartTools.SelectFromList(swModel, Sselect);
     swModel.FeatureManager.InsertFeatureChamfer(Options, ChamferType, Width, Angle, OtherDist, VertexChamDist1, VertexChamDist2, VertexChamDist3);
 }
Exemplo n.º 7
0
 public override void Trace(ModelDoc2 swModel)
 {
     SmartTools.SelectFromList(swModel, Sselect);
     swModel.SketchManager.CreateCircularSketchStepAndRepeat(ArcRadius, ArcAngle, PatternNum, PatternSpacing,
                                                             PatternRotate, DeleteInstances, RadiusDim, AngleDim, CreateNumOfInstancesDim);
 }
Exemplo n.º 8
0
 public override void Trace(ModelDoc2 swModel)
 {
     SmartTools.SelectFromList(swModel, Sselect);
     swModel.SketchMirror();
 }